ChecksummedSequentialWriter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.util

## Class ChecksummedSequentialWriter

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.SequentialWriter
    - - org.apache.cassandra.io.util.ChecksummedSequentialWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, java.nio.channels.Channel, java.nio.channels.WritableByteChannel, Transactional

      public class ChecksummedSequentialWriter
      extends SequentialWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ChecksummedSequentialWriter.TransactionalProxy`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.SequentialWriter

      `SequentialWriter.BufferedFileWriterMark`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

      `Transactional.AbstractTransactional`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.SequentialWriter

      `buffer, bufferOffset, channel, descriptor, isDirty, lastFlushOffset, runPostFlush, stream, syncNeeded`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChecksummedSequentialWriter(java.io.File file, int bufferSize, java.io.File crcPath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `flushData()` Override this method instead of overriding flush()
    `protected SequentialWriter.TransactionalProxy` | `txnProxy()`

    - ### Methods inherited from class org.apache.cassandra.io.util.SequentialWriter

      `abort, close, commit, current, finish, finishOnClose, flush, flushInternal, getFilePointer, getLastFlushOffset, getOnDiskFilePointer, getPath, isOpen, length, mark, open, open, open, prepareToCommit, reBuffer, releaseFileHandle, resetAndTruncate, resetBuffer, setDescriptor, setPostFlushListener, sync, syncDataOnlyInternal, syncInternal, truncate, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChecksummedSequentialWriter

          public ChecksummedSequentialWriter(java.io.File file,
                                             int bufferSize,
                                             java.io.File crcPath)

  - ### Method Detail

    - #### flushData

          protected void flushData()

      Description copied from class: `SequentialWriter`
      Override this method instead of overriding flush()
      Overrides:
        `flushData` in class `SequentialWriter`

    - #### txnProxy

          protected SequentialWriter.TransactionalProxy txnProxy()

      Overrides:
        `txnProxy` in class `SequentialWriter`

Copyright © 2018 The Apache Software Foundation